Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.crypto
Class KeyImpl

    java.lang.Object
      com.licel.jcardsim.crypto.KeyImpl

All Implemented Interfaces:
  KeyWithParameters, Key

Direct Known Subclasses:
  DSAKeyImpl, ECKeyImpl, RSAKeyImpl, SymmetricKeyImpl

    public abstract class KeyImpl

extends Object
implements Key, KeyWithParameters

Base class for all `Key` instances

See Also:
  `Key`

Field Summary
`protected short` | `size`
`protected byte` | `type`

Constructor Summary
`KeyImpl()`

Method Summary
`short` | `getSize()` Returns the key size in number of bits.
`byte` | `getType()` Returns the key interface type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javacard.security.Key
`clearKey, isInitialized`

Methods inherited from interface com.licel.jcardsim.crypto.KeyWithParameters
`getKeyGenerationParameters, getParameters`

Field Detail

### size

    protected short size

### type

    protected byte type

Constructor Detail

### KeyImpl

    public KeyImpl()

Method Detail

### getSize

    public short getSize()

  Description copied from interface: `Key`
  Returns the key size in number of bits.

  Specified by:
    `getSize` in interface `Key`
  Returns:
    the key size in number of bits

### getType

    public byte getType()

  Description copied from interface: `Key`
  Returns the key interface type.

  Specified by:
    `getType` in interface `Key`
  Returns:
    the key interface type. Valid codes listed in TYPE.. constants See `KeyBuilder.TYPE_DES_TRANSIENT_RESET`

  See Also:
    `KeyBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD